Skip to content
Management API Reference

[Beta] Gets the list of available regions that can be used for a new project

get/v1/projects/available-regions

OAuth scopes

  • organizations:read

Query parameters

  • organization_slug
    Required
    string

    Slug of your organization

  • continent
    Optional
    enum

    Continent code to determine regional recommendations: NA (North America), SA (South America), EU (Europe), AF (Africa), AS (Asia), OC (Oceania), AN (Antarctica)

  • desired_instance_size
    Optional
    enum

    Desired instance size. Omit this field to always default to the smallest possible size.

Response codes

  • 200

Response (200)

{
"recommendations": {
"smartGroup": {
"name": "lorem",
"code": "americas",
"type": "smartGroup"
},
"specific": [
{
"name": "lorem",
"code": "us-east-1",
"type": "specific",
"provider": "AWS",
"status": "capacity"
}
]
},
"all": {
"smartGroup": [
{
"name": "lorem",
"code": "americas",
"type": "smartGroup"
}
],
"specific": [
{
"name": "lorem",
"code": "us-east-1",
"type": "specific",
"provider": "AWS",
"status": "capacity"
}
]
}
}